Uploaded image for project: 'Sentry (Retired)'
  1. Sentry (Retired)
  2. SENTRY-1599

CloseablePersistenceManager is no longer needed

Details

    • Improvement
    • Status: Resolved
    • Minor
    • Resolution: Fixed
    • 1.8.0, 2.0.0
    • 1.8.0, 2.0.0
    • Sentry

    Description

      Since now (after SENTRY-1507) we are using Datanucleus version of javax.jdo, PersistenceManager is already AutoCloseable so we don't need CloseablePersistenceManager any more and should get rid of it.

      Attachments

        1. SENTRY-1599.001.patch
          2 kB
          Alex Kolbasov
        2. SENTRY-1599.001-sentry-ha-redesign.patch
          2 kB
          Alex Kolbasov

        Issue Links

          Activity

            People

              akolb Alex Kolbasov
              akolb Alex Kolbasov
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved:

                Slack

                  Issue deployment